<div style="margin-bottom:15px;">
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Purchase Requisition Number">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
    <br>
    <p-dataTable
    [value]="jobOrders"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idPurchaseOrder"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)" >
                            <div class="btn-filter-wrapper">
                                <button (click)="unregPP()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Not Approve</span>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approve</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Purchase Requisition Number">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.noPurchaseOrder}}
        </ng-template>
    </p-column>
    <p-column header="Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Created By">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.createdBy}}
        </ng-template>
    </p-column>
    <p-column header="Diusulkan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.diusulkan}}
        </ng-template>
    </p-column>
    <p-column header="Division">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divition}}
            </ng-template>
    </p-column>
    <p-column header="Attachment" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <button pButton type="submit"
                    [routerLink]="['../../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                    icon="fa-pencil"
                    class="flat-button">
            </button> -->
            <!-- <button pButton type="submit"
                    (click)="delete(rowData.idPurchaseOrder)"
                    icon="fa-remove"
                    class="flat-button">
            </button> -->
            <button pButton type="submit"
                    (click)="openPDF(rowData.idPurchaseOrder)"
                    icon="fa-print" pTooltip="Preview Attachment"
                    class="flat-button">
            </button>
            <button pButton type="submit"
                icon="fa fa-download"
                class="flat-button" pTooltip="Download Attachment"
                (click)="download(rowData.idPurchaseOrder)">
            </button>
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
           <!-- <button pButton type="submit" [hidden]="(rowData.createdBy === '10')"
                        (click)="print(rowData.idPurchaseOrder, rowData)"
                        icon="fa-print"
                        class="flat-button">
                </button> -->
            <!-- <button pButton type="submit"
                    (click)="delete(rowData.idPurchaseOrder)"
                    icon="fa-remove"
                    class="flat-button">
            </button> -->
            <!-- <button pButton type="submit"
                    (click)="print(rowData.idPurchaseOrder, rowData)"
                    icon="fa-print"
                    class="flat-button">
            </button> -->
            <button pButton type="submit"
                    (click)="print(rowData.idPurchaseOrder, rowData)"
                    icon="fa-print" pTooltip="Print PP"
                    class="flat-button">
            </button>
            <button pButton type="submit"
                    (click)="lihatPO(rowData.idPurchaseOrder)" 
                    icon="fa-eye" pTooltip="Preview Detail Item PP"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
    <p-dialog header="Stock Detail Based On PP" [(visible)]="modalLihatPO" modal="true" [width]="700" (onHide)="backapp()">
        <form name="lihatpo" role="form" novalidate #editForm="ngForm">
            <div>
                <p-dataTable [value]="purchasings" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                    [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                    [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
                    rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                    <p-header>
                        <div class="d-flex flex-row-reverse">
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2">
                                            <div class="btn-filter-wrapper">
                                                <button (click)="unregPPAtDetail()" type="button" class="btn btn-primary btn-filter">
                                                    <span>Not Approved</span>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2">
                                            <div class="btn-filter-wrapper">
                                                <button (click)="createRequestAtDialogDetail()" type="button" class="btn btn-primary btn-filter">
                                                    <span>Approved</span>
                                                </button>
                                                &nbsp;
                                                &nbsp;
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </p-header>
                    </p-column>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Item Code">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.kdBahan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Item Name ">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nmBahan}}
                        </ng-template>
                    </p-column>
                    </p-column><p-column header="Unit">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.satuan}}
                        </ng-template>
                    </p-column>
                    </p-column><p-column header="Qty Request">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.max_saldo}}
                        </ng-template>
                    </p-column>
                    <p-column header="Current Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.stok}}
                        </ng-template>
                    </p-column>
                    <p-column header="PP Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.saldo_pp}}
                        </ng-template>
                    </p-column>
                    <p-column header="PO Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.saldo_po}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tanggal Kirim">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dt_sent | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                </p-dataTable>
            </div>
        </form>
    </p-dialog>
    <p-dialog header="Not Approved PP" [(visible)]="newModalNote" modal="true" [width]="700" (onHide)="backappNotApp()">
        <form name="notesForm" role="form" novalidate (ngSubmit)="processToNotAvailable()" #editForm="ngForm">
            <div class="card-deck" style="margin: 25px;">
                <label class="form-control-label" for="field_Noteed">Note</label>
                <jhi-alert-error></jhi-alert-error>
                <textarea pInputTextarea 
                    class="form-control" 
                    id="field_notes2" 
                    name="notes2" 
                    [rows]="5" 
                    [cols]="30" 
                    autoResize="autoResize" 
                    [(ngModel)]="noteNotAppPP">
                </textarea>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="Not Approved"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </form>
    </p-dialog>
    <p-dialog header="Not Approved PP" [(visible)]="newModalNoteAtDetail" modal="true" [width]="700" (onHide)="backappNotApp()">
        <form name="notesForm" role="form" novalidate (ngSubmit)="processToNotAvailableAtDetail()" #editForm="ngForm">
            <div class="card-deck" style="margin: 25px;">
                <label class="form-control-label" for="field_Noteed">Note</label>
                <jhi-alert-error></jhi-alert-error>
                <textarea pInputTextarea 
                    class="form-control" 
                    id="field_notes2" 
                    name="notes2" 
                    [rows]="5" 
                    [cols]="30" 
                    autoResize="autoResize" 
                    [(ngModel)]="noteNotAppPP">
                </textarea>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="Not Approved"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </form>
    </p-dialog>
</div>
